﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms;
using System.Collections.Specialized;
using System.IO;
using Syncfusion.XlsIO;

namespace SampleGridControlDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            //Form()
            InitializeComponent();
            this.gridControl1.ColCount = 10;
            this.gridControl1.ThemesEnabled = true;
            this.gridControl1.GridVisualStyles = GridVisualStyles.Metro;            
                           
            
        }

        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            Syncfusion.GridExcelConverter.GridExcelConverterControl gecc = new Syncfusion.GridExcelConverter.GridExcelConverterControl();

            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Files(*.xlsx)|*.xlsx";
            openFileDialog.DefaultExt = ".xlsx";

            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                ExcelEngine engine = new ExcelEngine();
                IWorkbook book = engine.Excel.Workbooks.Open(openFileDialog.FileName);
                IWorksheets sheets = book.Worksheets;
                IWorksheet worksheet = sheets[0];
                worksheet.EnableSheetCalculations();
               // gecc.QueryImportExportCellInfo += new Syncfusion.GridExcelConverter.GridImportExportCellInfoEventHandler(gecc_QueryImportExportCellInfo);
                for (var i = 0; i < worksheet.Rows.Length; i++)
                {
                    var cell = worksheet[i + 1, 2];
                    var formula = cell.Formula;
                    if (formula != null)
                    {
                        cell.Value2 = cell.CalculatedValue;
                    }
                }
                worksheet.DisableSheetCalculations();

                gecc.ExcelToGrid(worksheet, this.gridControl1.Model);
            }
        }

        void gecc_QueryImportExportCellInfo(object sender, Syncfusion.GridExcelConverter.GridImportExportCellInfoEventArgs e)
        {
            if (e.ExcelCell.Formula != null)
            {
                e.GridCell.Text = e.ExcelCell.CalculatedValue;
                e.Handled = true;
            }
        }       
       
    }
}
